   Help for FMDrop

Properties	Events

Registration Information

Order Form

Getting Custom Controls Written

Description

This custom control (VBX) notifies you when a file has been dragged and dropped from the Windows File Manager (FILEMAN).

File Name

FMDROP1.VBX

Object Type

FMDrop

Compatibility

VB 2.0 and above

Distribution Note     When you develop and distribute an application that uses FMDrop, you should install the file FMDROP1.VBX into the users Windows SYSTEM directory.  FMDrop has version information built into it.  So, during installation, you should ensure that you are not overwriting a newer version of FMDrop.


Properties

All of the properties that apply to this control are in this table.  Properties that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

Align	Name

Enabled	Tag

*FileCount	Top

*FileName	*X

*InClient	*Y

Left

Enabled is the default value for the control.


FileCount Property

See Also	Example

Description

Specifies the number of files dropped.

Usage

[form.][control.]FileCount

Remarks

This property tells how many files were dropped.  This property is only valid after a DropFiles event has occurred.  This property is read-only and only available at run-time.

Data Type

Integer


See Also

Events:

DropFiles

Properties:

FileName


FileCount and FileName Properties Example

In this example, the program shows how to get a list of the files dropped.  To try this example, paste the code into the Declarations section of a form that contains a list box, and a FMDrop control.  Press F5.  Then, go to the File Manager, select some files, and then drag them to the sample programs window.

Sub FMDrop1_DropFiles ()

    Dim I As Integer

    List1.Clear

    For I = 0 To FMDrop1.FileCount - 1

        List1.AddItem FMDrop1.FileName(I)

    Next I

End Sub


FileName Property

See Also	Example

Description

Specifies the name(s) of the file(s) dropped from onto the form.

Usage

[form.][control.]FileName(Index)

Remarks

This property tells the names of the files that were dropped.  Its an array of strings. Index can range from 0 to FileCount - 1. This property is only valid after a DropFiles event has occurred.  This property is read-only and only available at run-time.

Filenames passed by the File Manager have fully specified paths.

Data Type

String


See Also

Events:

DropFiles

Properties:

FileCount


InClient Property

See Also	Example

Description

Specifies whether the files were dropped in the forms client or non-client area.

Usage

[form.][control.]InClient

Remarks

If this property is True, the file(s) were dropped in the client area (i.e., the main window) of the form.  If this is False, this means that the file(s) were dropped in the non-client area (i.e., the menu bar, title bar, border, or any part of the window thats not the main portion).

This property is only valid after a DropFiles event has occurred.  This property is read-only and only available at run-time.

Data Type

Integer (boolean)


See Also

Events:

DropFiles

Properties:

X

Y


X and Y Properties

See Also	Example

Description

Specifies where the file(s) were dropped.

Usage

[form.][control.]X

[form.][control.]Y

Remarks

These properties specify where the files were dropped on the form.  They specify the location in pixels (in relation to the upper left corner).

These properties are only valid after a DropFiles event has occurred.  They are read-only and only available at run-time.

Data Type

Integer (boolean)


See Also

Events:

DropFiles

Properties:

InClient


InClient, X, and Y Properties Example

In this example, the program lets you see what the InClient, X, and Y properties are after dropping files onto the form.  To try this example, paste the code into the Declarations section of a form that contains a label, and a FMDrop control.  Press F5.  Go to the File Manager and drag a file or two onto the sample programs form.  Try it a few times dropping it in different areas of the form.

Sub FMDrop1_DropFiles ()

    Dim S As String

    If FMDrop1.InClient Then

        S = "In Client"

    Else

        S = "Not In Client"

    End If

    Label1.Caption = S & " X:" & FMDrop1.X & " Y:" & FMDrop1.Y

End Sub


Events

All of the events that apply to this control are in this table.  Events that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

*DropFiles


FMDrop Event
DropFiles Event

See Also	Example

Description

Occurs when the user drops files onto the form.

Syntax

Sub ctlname_DropFiles ( )

Remarks

This event only occurs If the Enabled property is set to True (default).  Also, this event only fires for the form that the control is on.  If theres more than one form that needs drag-and-drop events, you must place FMDrop on each one.

Prior to sending this event DMDrop fills in all of the properties (FileCount, FileName, InClient, X, and Y) with the appropriate values.


See Also

Properties:

FileCount

FileName

InClient

X

Y


Registration Information

Credits

FMDrop was written by James Shields.  Inquiries can be sent to 71231,2066 on CompuServe, or mabry@halcyon.com on Internet.  If you must send something via U.S. Mail, the address is:

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Registration

You can register this program by sending $15 ($20 for international orders) and your address.  You can register FMDrop and its C source code by sending $35 ($40 for international orders).  With your order, you will receive a copy of our manual documenting all of our controls.

For your convenience, an order form has been provided that you can print out directly from this help file.

E-mail Discount

You may take a $5 discount for e-mail delivery of this package (CompuServe or Internet).  If you choose this option, please note: a printed manual is not included.  Be sure to include your full mailing address with your order.  Sometimes (on the Internet) the package cannot be e-mailed.  So, we are forced to send it through the normal mails.

CompuServe members may also take the $5 e-mail discount by registering this package in the software registration forum (GO SWREG).  FMDrops SWREG ID number is 1378.  The source code version's ID number is 1379.

Credit Card Orders

We accept VISA and Mastercard.  If you e-mail your order to us, please be sure to include your card number, expiration date, complete mailing address, and your phone number (in case we have any questions about your order).

© Copyright 1993-1995 by Mabry Software, Inc.


Order Form
 FMDrop Order Form

Use the Print Topic.. command from the File menu to print this order form.

Mail this	Mabry Software, Inc.

form to:	Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

Where did you get this copy of FMDrop?

____________________________________________________________________

Ship to:	____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

Phone:	_________________________________________________________________

Fax:	_________________________________________________________________

E-Mail:	_________________________________________________________________

MC/VISA:	_________________________________________ exp. ___________________

Disk Size:	(circle one)	 3½	5¼

qty ordered	____	REGISTRATION

$15 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.

qty ordered	____	SOURCE CODE AND REGISTRATION

$35 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.


Getting Custom Controls Written

If you or your organization would like to have custom controls written, you can contact me at the following:

James Shields

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

You can also contact Zane Thomas.  He can be reached at:

Zane Thomas

Post Office Box 300

Indianola, WA  98342

CompuServe: 72060,3327